Summary: Shadow password file utilities for Linux
Name: shadow-utils
%define version 980403
Version: %{version}
Release: 3
Source0: ftp://ftp.ists.pwr.wroc.pl/pub/linux/shadow/beta/shadow-%{version}.tar.gz
Source1: shadow-970616.login.defs
Source2: shadow-970616.useradd
Patch0: shadow-980403-redhat.patch
Copyright: BSD
Group: Utilities/System
Buildroot: /var/tmp/shadow-root
Obsoletes: adduser
Summary(de): Shadow-Pawortdatei-Dienstprogramme fr Linux
Summary(fr): Fichiers utilitaires pour Shadow password pour Linux.
Summary(tr): Glge parola dosyas aralar

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 980403
- redid the patches

* Tue Dec 30 1997 Cristian Gafton <gafton@redhat.com>
- updated the spec file
- updated the patch so that new accounts created on shadowed system won't
  confuse pam_pwdb anymore ('!!' default password instead on '!')
- fixed a bug that made useradd -G segfault
- the check for the ut_user is now patched into configure

* Thu Nov 13 1997 Erik Troan <ewt@redhat.com>
- added patch for XOPEN oddities in glibc headers
- check for ut_user before checking for ut_name -- this works around some
  confusion on glibc 2.1 due to the utmpx header not defining the ut_name
  compatibility stuff. I used a gross sed hack here because I couldn't make
  automake work properly on the sparc (this could be a glibc 2.0.99 problem
  though). The utuser patch works fine, but I don't apply it.
- sleep after running autoconf

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- added forgot lastlog command to the spec file

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com>
- obsoletes adduser

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- modified groupadd; updated the patch

* Fri Sep 12 1997 Cristian Gafton <gafton@redhat.com>
- updated to 970616
- changed useradd to meet RH specs
- fixed some bugs

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
This package includes the programs necessary to convert standard
UNIX password files to the shadow password format, as well as 
programs for command-line management of the user's accounts.
        - 'pwconv' converts everything to the shadow password format.
        - 'pwunconv' unconverts from shadow passwords, generating a file 
           in the current directory called npasswd that is a standard UNIX 
           password file.
        - 'pwck' checks the integrity of the password and shadow files.
        - 'lastlog' prints out the last login times of all users.
	- 'useradd', 'userdel' and 'usermod' for accounts management.
	- 'groupadd', 'groupdel' and 'groupmod' for group management.

A number of man pages are also included that relate to these utilities,
and shadow passwords in general.

%prep
# This is just a few of the core utilities from the shadow suite...
# packaged up for use w/PAM
%setup -n shadow-%{version}
%patch0 -p1 -b .redhat

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--disable-desrpc --with-libcrypt --disable-shared
make 

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m 0600 -o root $RPM_SOURCE_DIR/shadow-970616.useradd $RPM_BUILD_ROOT/etc/default/useradd
install -m 0644 -o root $RPM_SOURCE_DIR/shadow-970616.login.defs $RPM_BUILD_ROOT/etc/login.defs
ln -s useradd $RPM_BUILD_ROOT/usr/sbin/adduser
ln -s useradd.8 $RPM_BUILD_ROOT/usr/man/man8/adduser.8
ln -s pwconv.8 $RPM_BUILD_ROOT/usr/man/man8/pwunconv.8
ln -s pwconv.8 $RPM_BUILD_ROOT/usr/man/man8/grpconv.8
ln -s pwconv.8 $RPM_BUILD_ROOT/usr/man/man8/grpunconv.8

%files
%doc doc/ANNOUNCE doc/CHANGES doc/HOWTO
%doc doc/LICENSE doc/README doc/README.linux
%dir /etc/default
%config /etc/login.defs
%config /etc/default/useradd
/usr/sbin/adduser
/usr/sbin/user*
/usr/sbin/group*
/usr/sbin/grpck
/usr/sbin/pwck
/usr/sbin/*conv
/usr/sbin/chpasswd
/usr/sbin/newusers
/usr/sbin/mkpasswd
/usr/bin/chage
/usr/bin/gpasswd
/usr/bin/lastlog
/usr/bin/faillog
/usr/man/man1/chage.1
/usr/man/man1/gpasswd.1
/usr/man/man3/shadow.3
/usr/man/man5/shadow.5
/usr/man/man5/faillog.5
/usr/man/man8/adduser.8
/usr/man/man8/group*.8
/usr/man/man8/user*.8
/usr/man/man8/pwck.8
/usr/man/man8/grpck.8
/usr/man/man8/chpasswd.8
/usr/man/man8/newusers.8
/usr/man/man8/mkpasswd.8
/usr/man/man8/*conv.8
/usr/man/man8/lastlog.8
/usr/man/man8/faillog.8

%clean
rm -rf $RPM_BUILD_ROOT
